use psrchive;
-- Use the following file to create a temporary s70 table based on a csv file
--  produced by running pvosummary -c in the $S70V directory.
source /DATA/SITAR_1/whi550/VO/PulsarVO/sql/create_table_s70.sql;
--
-- Performing a conesearch around position RA=0.=00:00:00 and DEC=-49.=-49:00:00 for the S70 data
-- This should pick up four files.
SELECT filename, raj, decj, 0.5*(bmaj+bmin) as beamsize, obsfreq,
(degrees( acos( cos(radians(rajd-0.))*cos(radians(decjd))*cos(radians(-49.))+sin(radians(decjd))*sin(radians(-49.)) ) )) as angsep
FROM s70
WHERE (degrees( acos( cos(radians(rajd-0.))*cos(radians(decjd))*cos(radians(-49.))+sin(radians(decjd))*sin(radians(-49.)) ) ) - 0.25*(bmaj+bmin) ) <  1.
ORDER by angsep;
-- period;
